thread_cancellation.hpp File Reference
API

to be able to cancel libdar operation while running in a given thread. More...

`#include "../my_config.h"`
`#include <list>`
`#include <map>`
`#include "integers.hpp"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Classes

class | libdar::thread_cancellation
| class to be used as parent to provide checkpoints to inherited classes More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

to be able to cancel libdar operation while running in a given thread.

Definition in file thread_cancellation.hpp.